@ echo off
Echo  欢迎使用芯宇宙通用仓库管理系统_单机版
echo 正在启用超级管理员权限... 
 %1 %2
ver|find "5.">nul&&goto :Admin
mshta vbscript:createobject("shell.application").shellexecute("%~s0","goto :Admin","","runas",1)(window.close)&goto :eof
:Admin
echo 启用超级管理员权限成功



 
@echo off
echo 正在检查是否安装.NET Framework 4.0 

 if exist %windir%\Microsoft.NET\Framework64\v4.0.30319 (
  
 echo 检测到你已经安装.NET Framework 4.0 
) else (
     echo 正在安装.NET Framework 4.0 
    net4.exe /norestart /passive
)




if "%PROCESSOR_ARCHITECTURE%"=="x86" goto x86
if "%PROCESSOR_ARCHITECTURE%"=="AMD64" goto x64
exit
:x64
echo 安装64位... 
 
 cd /d %~dp0
xcopy /y 芯宇宙通用仓库管理系统_单机版.dll %windir%\system32\
xcopy /y 芯宇宙通用仓库管理系统_单机版.tlb %windir%\system32\
xcopy /y Interop.gregn6Lib.dll %windir%\system32\
xcopy /y gregn6.dll %windir%\system32\
xcopy /y ADODB.dll %windir%\system32\

xcopy /y 芯宇宙通用仓库管理系统_单机版.dll %windir%\SysWOW64\
xcopy /y 芯宇宙通用仓库管理系统_单机版.tlb %windir%\SysWOW64\
xcopy /y Interop.gregn6Lib.dll %windir%\SysWOW64\
xcopy /y gregn6x64.dll %windir%\SysWOW64\
xcopy /y ADODB.dll %windir%\SysWOW64\

regsvr32.exe /s gregn6x64.dll
regsvr32.exe /s gregn6.dll
regsvr32.exe /s ADODB.dll
C:\Windows\Microsoft.NET\Framework64\v4.0.30319\RegAsm.exe /codebase %windir%\SysWOW64\芯宇宙通用仓库管理系统_单机版.dll /tlb:芯宇宙通用仓库管理系统_单机版.tlb
C:\WINDOWS\Microsoft.NET\Framework\v4.0.30319\RegAsm.exe /codebase %windir%\system32\芯宇宙通用仓库管理系统_单机版.dll /tlb:芯宇宙通用仓库管理系统_单机版.tlb
if errorlevel 1 goto err

Echo.

Echo 注册类库成功！,可以关闭窗口打开表格使用了

goto end

:err

Echo.

Echo 注册类库失败！应【右键】以管理员身份运行！

:end

 
Pause>nul
// 如果不想看见窗口 最后面一句前面加//注释即可。  比如：//Pause>nul

:x86
echo 安装32位... 

cd /d %~dp0
xcopy /y 芯宇宙通用仓库管理系统_单机版.dll %windir%\system32\
xcopy /y 芯宇宙通用仓库管理系统_单机版.tlb %windir%\system32\
xcopy /y Interop.gregn6Lib.dll %windir%\system32\
xcopy /y gregn6.dll %windir%\system32\
regsvr32.exe /s gregn6.dll
C:\WINDOWS\Microsoft.NET\Framework\v4.0.30319\RegAsm.exe /codebase %windir%\system32\芯宇宙通用仓库管理系统_单机版.dll /tlb:芯宇宙通用仓库管理系统_单机版.tlb

if errorlevel 1 goto err

Echo.

Echo 注册类库成功！,可以关闭窗口打开表格使用了

goto end

:err

Echo.

Echo 注册类库失败！应【右键】以管理员身份运行！

:end
Pause>nul
// 如果不想看见窗口 最后面一句前面加//注释即可。  比如：//Pause>nul